use Config;

my $PVOBTAG;
my $PREOPCMDW;
my $POSTOPCMDW;

$PREOPCMDW = '-execwin "ccperl \\\\bcowan-nt\\c$\\ucmscripts\\expreop.pl"';
$POSTOPCMDW = '-execwin "ccperl \\\\bcowan-nt\\c$\\ucmscripts\\expostop.pl"';

if ($Config{'osname'} eq 'MSWin32') {
	$PVOBTAG = '\pvob';
}
else {
	$PVOBTAG = '/vobs/pvob';
}

my $PREOPCMDU = '';
my $POSTOPCMDU = '';
my $STREAM = "integration_stream_name\@$PVOBTAG";
my $PREOPTRTYPE = "trtype:ex1_preop\@$PVOBTAG";
my $POSTOPTRTYPE = "trtype:ex1_postop\@$PVOBTAG";
my $CANXTRTYPE = "trtype:ex1_cancel\@$PVOBTAG";
my $ATTYPE = "attype:deliver_in_progress\@$PVOBTAG";

print $PVOBTAG . "\n";
print $STREAM . "\n";
print $PREOPTRTYPE . "\n";
print $POSTOPTRTYPE . "\n";
print $ATTYPE . "\n";


print `cleartool mktrtype -ucmobject -all -preop deliver_start $PREOPCMDU $PREOPCMDW -stream $STREAM -nc $PREOPTRTYPE`;
print `cleartool mktrtype -ucmobject -all -postop deliver_complete $POSTOPCMDU $POSTOPCMDW -stream $STREAM -nc $POSTOPTRTYPE`;
print `cleartool mktrtype -ucmobject -all -postop deliver_cancel $POSTOPCMDU $POSTOPCMDW -stream $STREAM -nc $CANXTRTYPE`;
print `cleartool mkattype -vtype integer -default 1 -nc $ATTYPE`;
